glibmm: Glib::Interface Class Reference

glibmm 2.76.0

Public Member Functions | List of all members
Glib::Interface Class Reference

`#include <glibmm/interface.h>`

Inheritance diagram for Glib::Interface:
[legend]

## Public Member Functions
| Interface ()
| A Default constructor.
| Interface (Interface && src) noexcept
Interface & | operator= (Interface && src) noexcept
| Interface (const Glib::Interface_Class & interface_class)
| Called by constructors of derived classes.
| Interface (GObject * castitem)
| Called by constructors of derived classes.
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring & property_name, const Glib::ValueBase & value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring & property_name, Glib::ValueBase & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring & property_name, const PropertyType & value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring & property_name, PropertyType & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
PropertyType | get_property (const Glib::ustring & property_name) const
| You probably want to use a specific property_*() accessor method instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, const sigc::slot< void()> & slot)
| You can use the signal_changed() signal of the property proxy instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, sigc::slot< void()> && slot)
| You can use the signal_changed() signal of the property proxy instead.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
GObject * | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.

## Additional Inherited Members
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char * custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info & custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
| ObjectBase (ObjectBase && src) noexcept
ObjectBase & | operator= (ObjectBase && src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject * castitem)
void | initialize_move (GObject * castitem, Glib::ObjectBase * previous_wrapper)

## Constructor & Destructor Documentation

## ◆ Interface() [1/5]

Glib::Interface::Interface | ( |  | ) |

A Default constructor.

## ◆ Interface() [2/5]

Glib::Interface::Interface | ( | Interface && | src | ) |
| noexcept

## ◆ Interface() [3/5]

Glib::Interface::Interface | ( | const Glib::Interface_Class & | interface_class | ) |
| explicit

Called by constructors of derived classes.

Provide the result of the Class object's init() function to ensure that it is properly initialized.

Parameters

  interface_class | The Class object for the derived type.

## ◆ Interface() [4/5]

Glib::Interface::Interface | ( | GObject * | castitem | ) |
| explicit

Called by constructors of derived classes.

Parameters

  castitem | A C instance that will be wrapped by the new C++ instance. This does not take a reference, so call reference() if necessary.

## ◆ ~Interface()

Glib::Interface::~Interface | ( |  | ) |
| overridenoexcept

## ◆ Interface() [5/5]

Glib::Interface::Interface | ( | const Interface & |  | ) |
| delete

## Member Function Documentation

## ◆ gobj() [1/2]

GObject * Glib::Interface::gobj | ( |  | ) |
| inline

## ◆ gobj() [2/2]

const GObject * Glib::Interface::gobj | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

Interface & Glib::Interface::operator= | ( | const Interface & |  | ) |
| delete

## ◆ operator=() [2/2]

Interface & Glib::Interface::operator= | ( | Interface && | src | ) |
| noexcept